NI PB Module Is Not Recognized by LabVIEW 2016

Updated Apr 17, 2018

Reported In

Hardware

  • C Series PROFIBUS Interface Module

Software

  • LabVIEW

Driver

  • NI-PROFIBUS for cRIO

Issue Details

I have recently upgraded my LabVIEW Application Development Environment (ADE) to LabVIEW 2016 from LabVIEW 8.5.1. After upgrading my LabVIEW to 2016 version I am not able to use the NI PB module or the PB module is not recognized by LabVIEW 2016 ADE. How to resolve this issue?
 

Solution

To use the NI-Profibus (NI PB) module with LabVIEW 2016 you should install or upgrade your existing Profibus driver to NI PB cRIO 2.0.7 version. The driver installs Profibus Master and Slave support for LabVIEW 2013 through LabVIEW 2016 and brings Configurator III to setup the Profibus Master module (PBMS). NI PB cRIO 2.0.7 driver also adds support for LabVIEW Real-Time 2016 support.

Additional Information

The NI PB cRIO 2.0.7 is the first version of the driver that bears the "Kunbus" branding, overwriting the previous "Comsoft" branding. For more information about this rebranding, see COMSOFT & KUNBUS Differences in PROFINET & PROFIBUS Hardware & Drivers.

WAS THIS ARTICLE HELPFUL?

Not Helpful